Skip to content

Redirections

All operations require authentication.

5 operationsv1/email/domain
Agent setup

List redirectionsAlpha

GET
/1.0/email/domain/{domain}/redirection

Returns the IDs of the redirections of the domain. Filter them by from or to address.

Path parameters

domain
required
string

Name of your domain name

Query parameters

from
string

Name of redirection

to
string

Email of redirection target

Response

200string[]successful operation

Example uses domain = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/redirection \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a redirectionAlpha

GET
/1.0/email/domain/{domain}/redirection/{id}

Returns the ID, the source address (from) and the target address (to) of the redirection.

Path parameters

domain
required
string

Name of your domain name

id
required
string

Id

Response

200RedirectionGlobalsuccessful operation
from
read-only
string

Name of redirection

id
read-only
string

Id of redirection

to
read-only
string

Target of redirection

Example uses domain = string, id = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/redirection/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "from": "string", "id": "string", "to": "string"}

Create a redirectionAlpha

POST
/1.0/email/domain/{domain}/redirection

Creates a redirection from the from address to the to address, and returns the task. Set localCopy to true to keep a local copy.

Path parameters

domain
required
string

Name of your domain name

Request body (required)

from
required
string

Name of redirection

localCopy
required
boolean

If true keep a local copy

to
required
string

Target of account

Response

200TaskSpecialAccountsuccessful operation
account
read-only
string

Account name of task

action
read-only
DomainSpecialAccountActionEnum

Action of task

Valuesaddchangedelete
date
read-only
stringdate-time

Creation date of task

domain
read-only
string

Domain name of task

id
read-only
integer

Id of task

type
read-only
DomainSpecialAccountTypeEnum

Type of action filter

Values25galiasdeletefilterforwardresponder

Example uses domain = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/redirection \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "account": "string", "action": "add", "date": "2024-01-01T12:00:00Z", "domain": "string", "id": 0, "type": "25g"}

Delete a redirectionAlpha

DELETE
/1.0/email/domain/{domain}/redirection/{id}

Deletes the redirection and returns the task.

Path parameters

domain
required
string

Name of your domain name

id
required
string

Id

Response

200TaskSpecialAccountsuccessful operation
account
read-only
string

Account name of task

action
read-only
DomainSpecialAccountActionEnum

Action of task

Valuesaddchangedelete
date
read-only
stringdate-time

Creation date of task

domain
read-only
string

Domain name of task

id
read-only
integer

Id of task

type
read-only
DomainSpecialAccountTypeEnum

Type of action filter

Values25galiasdeletefilterforwardresponder

Example uses domain = string, id = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/redirection/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "account": "string", "action": "add", "date": "2024-01-01T12:00:00Z", "domain": "string", "id": 0, "type": "25g"}

Change a redirection targetAlpha

POST
/1.0/email/domain/{domain}/redirection/{id}/changeRedirection

Sets the new target address (to) of the redirection and returns the task.

Path parameters

domain
required
string

Name of your domain name

id
required
string

Id

Request body (required)

to
required
string

Target of account

Response

200TaskSpecialAccountsuccessful operation
account
read-only
string

Account name of task

action
read-only
DomainSpecialAccountActionEnum

Action of task

Valuesaddchangedelete
date
read-only
stringdate-time

Creation date of task

domain
read-only
string

Domain name of task

id
read-only
integer

Id of task

type
read-only
DomainSpecialAccountTypeEnum

Type of action filter

Values25galiasdeletefilterforwardresponder

Example uses domain = string, id = string

$ curl https://api.eu.ovhcloud.com/1.0/email/domain/{domain}/redirection/{id}/changeRedirection \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "account": "string", "action": "add", "date": "2024-01-01T12:00:00Z", "domain": "string", "id": 0, "type": "25g"}